Bug 1281368 - drm_vblank_count_and_time floods ring buffer [NEEDINFO]
drm_vblank_count_and_time floods ring buffer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 07:00 EST by poma
Modified: 2016-01-26 13:25 EST (History)
6 users (show)

See Also:
Fixed In Version: kernel-4.3.3-301.fc23 kernel-4.3.3-303.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 13:25:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pomidorabelisima: needinfo? (kernel-maint)


Attachments (Terms of Use)
stabilization: drm/nouveau: Fix pre-nv50 pageflip events v4 - rhbz 1281368 (8.93 KB, patch)
2015-12-12 11:40 EST, poma
no flags Details | Diff

  None (edit)
Description poma 2015-11-12 07:00:35 EST
Description of problem:
"Triggering a warning when trying to sample the vblank timestamp for a
non-existing pipe."
On pre NV50, i.e. NV34, nouveau.

Version-Release number of selected component (if applicable):
kernel-4.3.0-1.fc24

How reproducible:
101%

Steps to Reproduce:
1. Install & Run kernel 4.3.x on pre NV50, i.e. NV34, nouveau.

Actual results:
drm_vblank_count_and_time floods ring buffer

Expected results:
Parmigiano e prosciutto

Additional info:
Tested patch v2 and v4, successfully.
Comment 2 poma 2015-12-07 02:05:42 EST
For stable 4.3.1

"drm/nouveau: Fix pre-nv50 pageflip events (v4)"
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=bbc8764

Tested successfully with 4.3.0-2/3.fc22.i686 from 2015-11-07 to this day.
Comment 3 poma 2015-12-12 11:40 EST
Created attachment 1105117 [details]
stabilization: drm/nouveau: Fix pre-nv50 pageflip events v4 - rhbz 1281368
Comment 4 poma 2015-12-14 02:29:34 EST
Also tested with:
kernel-{core,modules}-4.3.2-200.fc22.{i686,x86_64}
Comment 5 poma 2016-01-07 06:22:00 EST
Will this patch accompany kernel-4.3.3-300.fc22?
Comment 6 Josh Boyer 2016-01-07 07:54:05 EST
(In reply to poma from comment #5)
> Will this patch accompany kernel-4.3.3-300.fc22?

Unknown.  Also, that specific kernel version will never exist.  It would be 4.3.3-200.fc22.  However, by the time we rebase f22 I am hoping 4.3.4 is out.
Comment 7 Fedora Update System 2016-01-15 14:25:28 EST
kernel-4.3.3-301.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-26e19f042a
Comment 8 Fedora Update System 2016-01-17 09:23:23 EST
kernel-4.3.3-301.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-26e19f042a
Comment 9 Fedora Update System 2016-01-19 07:55:14 EST
kernel-4.3.3-302.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-db9fedd7c4
Comment 10 poma 2016-01-20 06:35:26 EST
You miss this one in changelog:

diff --git a/kernel.spec b/kernel.spec
index 1670231..8547529 100644
--- a/kernel.spec
+++ b/kernel.spec
@@ -2304,6 +2304,7 @@ fi
 - Add currently queued networking stable patches
 - Add a couple btrfs patches cc'd to stable upstream
 - Add SCSI patches to avoid blacklist false positives (rhbz 1299810)
+- Fix warnings from pre-nv50 cards (rhbz 1281368)
 
 * Fri Jan 15 2016 Josh Boyer <jwboyer@fedoraproject.org>
 - CVE-2015-8767 sctp: DoS during timeout (rhbz 1297389 1298437)


besides
4.3.3-200.fc22.i686+debug
PASSED
Comment 11 Fedora Update System 2016-01-20 16:52:29 EST
kernel-4.3.3-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 poma 2016-01-21 06:51:57 EST
Why there is no announcements for Fedora 22 kernel?
Comment 13 Josh Boyer 2016-01-21 08:51:48 EST
The fix is there.  You commented yourself it is.  I forgot to include this bug number, but it doesn't matter because it's already closed.
Comment 14 Fedora Update System 2016-01-21 23:58:45 EST
kernel-4.3.3-303.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b59fd603be
Comment 15 Fedora Update System 2016-01-26 13:23:26 EST
kernel-4.3.3-303.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.